# CHANGELOG

Here is a list of all releases and changes for the ORKG-Ask project.

{% for version, release in context.history.released.items() %}
## {{ version.as_tag() }} ({{ release.tagged_date.strftime("%Y-%m-%d") }})
{% for type_, commits in release["elements"] | dictsort %}
{% if type_ != "unknown" %}
{% set type_mapping = {
    "fix": "Fixes",
    "feat": "Features",
    "chore": "Chores",
    "docs": "Documentation",
    "style": "Styling",
    "refactor": "Refactors",
    "perf": "Performance Improvements",
    "test": "Tests",
    "ci": "Continuous Integration",
    "feat!": "Major Release",
} %}
{% set type_name = type_mapping.get(type_, type_ | capitalize) %}
### {{ type_name }}
{% for commit in commits %}
{% set commit_message = commit.commit.message.rstrip()[commit.commit.message.rstrip().find(':') + 1:].lstrip() %}
* {{ commit_message }} ([`{{ commit.commit.hexsha[:7] }}`]({{ commit.commit.hexsha | commit_hash_url }}))
{% endfor %}
{% endif %}
{% endfor %}{% endfor %}
